// creator  : weidu.exe (version 23600)
// argument : PROST4.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~PROST4~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~  True()
~ THEN BEGIN 0 // from:
  SAY #8268 /* ~Heh... hehe... Well, welcome to ye! I trust ye are of fine health today? Come to do something about it? I f-f-find that most of the people above are a bit too healthy sometimes. Stay awhile and free your mind a bit....~ */
  IF ~~ THEN REPLY #8274 /* ~Your offer is tempting indeed, but I have obligations elsewhere.~ */ GOTO 1
  IF ~~ THEN REPLY #8275 /* ~Away from me, harlot! I'll not let your presence despoil me or my companions!~ */ GOTO 2
  IF ~  Gender(LastTalkedToBy,MALE)
~ THEN REPLY #8276 /* ~Why darling, is that a personal invitation?~ */ GOTO 3
  IF ~  Gender(LastTalkedToBy,FEMALE)
~ THEN REPLY #8277 /* ~Why darling, is that a personal invitation?~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #8269 /* ~I am sure you do. No matter. More of me for someone else....~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #8270 /* ~Ooooo, you are waaaaay too healthy. Bet you spend most your nights buffing the helm, hmm? Off with you then, and don't come back until you've loosened your belt a little. Have a friend help, it's more fun that way. Heeeeheee.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #8271 /* ~Now don't get me wrong big... fella. Not that you're not attractive an all, but tonight I'm enjoying my own company. Stay awhile and relax for an eve. No pressures here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #8272 /* ~Heeheeee... not that I'm a... Xena-phobe or anything, but... you're not my type, sister. Enjoy the eve, though.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #8273 /* ~Oooh, colors.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #8278 /* ~I'm too high to be of any use to you honey.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #9102 /* ~Get near me again and I'll have your nethers on a platter!~ */
  IF ~~ THEN EXIT
END
